cURL
curl --request PUT \
--url https://api.opal.dev/v1/owners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owners": [
{
"owner_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "API Owner",
"description": "This owner represents the API team owners.",
"access_request_escalation_period": 120
},
{
"owner_id": "99d0b81d-14be-4cf6-bd27-348b4af1d11b",
"name": "Finance Owner",
"description": "This owner represents the Finance team owners.",
"access_request_escalation_period": 15
}
]
}
'import requests
url = "https://api.opal.dev/v1/owners"
payload = { "owners": [
{
"owner_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "API Owner",
"description": "This owner represents the API team owners.",
"access_request_escalation_period": 120
},
{
"owner_id": "99d0b81d-14be-4cf6-bd27-348b4af1d11b",
"name": "Finance Owner",
"description": "This owner represents the Finance team owners.",
"access_request_escalation_period": 15
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owners: [
{
owner_id: 'f454d283-ca87-4a8a-bdbb-df212eca5353',
name: 'API Owner',
description: 'This owner represents the API team owners.',
access_request_escalation_period: 120
},
{
owner_id: '99d0b81d-14be-4cf6-bd27-348b4af1d11b',
name: 'Finance Owner',
description: 'This owner represents the Finance team owners.',
access_request_escalation_period: 15
}
]
})
};
fetch('https://api.opal.dev/v1/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owners": [
{
"owner_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "API Owner",
"description": "This owner represents the API team owners.",
"access_request_escalation_period": 120
},
{
"owner_id": "99d0b81d-14be-4cf6-bd27-348b4af1d11b",
"name": "Finance Owner",
"description": "This owner represents the Finance team owners.",
"access_request_escalation_period": 15
}
]
}Bulk updates a list of owners.
PUT
/
owners
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Owners to be updated
A list of owners with information to update.
Show child attributes
Show child attributes
Response
200 - application/json
The resulting updated owner infos.
A list of owners with information to update.
Show child attributes
Show child attributes
Last modified on July 10, 2026
Was this page helpful?
⌘I

